std::binary_function(3)

NAME
std::binary_function -

SYNOPSIS

Inherited by _Project1st, _Project2nd, _Rope_Concat_fn, map::value_compare, multimap::value_compare, pointer_to_binary_function, _Reference_wrapper_base< _Res(_T1::*)(_T2) const volatile >, and _Reference_wrapper_base< _Res(_T1::*)(_T2) volatile >.

Detailed Description

  template<class _Arg1, class _Arg2, class _Result> struct std::binary_function< _Arg1, _Arg2, _Result >
This is one of the functor base classes.

Definition at line 114 of file stl_function.h.

  Public Types
typedef _Arg1 first_argument_type
typedef _Result result_type
typedef _Arg2 second_argument_type

Member Typedef Documentation

  typedef _Arg1 first_argument_type

the type of the first argument

Definition at line 116 of file stl_function.h.

  typedef _Result result_type

type of the return type

Reimplemented in _Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 120 of file stl_function.h.

  typedef _Arg2 second_argument_type

(no surprises here) the type of the second argument

Definition at line 119 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.